
Ruby - Feature #5220

NilClass#to_i should accept an argument to match String#to_i

08/24/2011 09:23 AM - postmodern (Hal Brodigan)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version: 2.0.0   

Description

I noticed that NilClass#to_i does not accept an additional argument. This differs from String#to_i which accepts an optional

conversion base.

History

#1 - 08/24/2011 06:47 PM - nobu (Nobuyoshi Nakada)

- Tracker changed from Bug to Feature

#2 - 08/24/2011 06:49 PM - nobu (Nobuyoshi Nakada)

- Target version changed from 1.9.3 to 2.0.0

IO, Integer, Float, Time, etc. have #to_i with no arguments, too.

#3 - 03/27/2012 02:48 AM - mame (Yusuke Endoh)

- Status changed from Open to Rejected

There is no feedback or revised proposal from OP.

I close this as Rejected.

--

Yusuke Endoh mame@tsg.ne.jp
